;Molelacao  Turma A  2020 / 2021
;Goncalo Matos - 20181148
;Este Macro permite criar paredes com qualquer espessura inserida;

(defun c:parede (/ #cont #dist pt1 pt2 #agl1 #ln1 #ln2 #ln2b #ln2a)
  (setvar "cmdecho" 0)
  (setq #cont 0)
  (if (not #esp)
    (setq #esp 0.15)
    )
  (setq #espa (getdist (strcat "\nEspessura <" (rtos #esp) ">: ")))
  (if #espa
    (setq #esp #espa)
    )
  (setq #dist (/ #esp 2))
  (setq	pt1 (getpoint "\nInicio: ")
	pt2 (getpoint pt1 "\nPonto: ")
	)
  (while (/= pt2 nil)
    (setq #agl1 (angle pt1 pt2))
    (command ".line"
	     (polar pt1 (+ #agl1 1.5707963) #dist)
	     (polar pt2 (+ #agl1 1.5707963) #dist)
	     ""
	     )
    (if	(= #cont 0)
      (setq #ln1 (entlast))
      (progn
	(setq #ln2 #ln1
	      #ln1 (entlast)
	      )
	(arrmt #ln1 #ln2)
	)
      )
    (command ".line"
	     (polar pt1 (- #agl1 1.5707963) #dist)
	     (polar pt2 (- #agl1 1.5707963) #dist)
	     ""
	     )
    (if	(= #cont 0)
      (setq #ln2a (entlast))
      (progn
	(setq #ln2b #ln2a
	      #ln2a (entlast)
	      )
	(arrmt #ln2a #ln2b)
	)
      )
    (setq pt1	pt2
	  pt2	(getpoint pt1 "\nPonto: ")
	  #cont	(1+ #cont)
	  )
    )
  (princ)
  )
(defun arrmt (la lb)
  (setq	pt3 (inters
	      (cdr (assoc 10 (entget la)))
	      (cdr (assoc 11 (entget la)))
	      (cdr (assoc 10 (entget lb)))
	      (cdr (assoc 11 (entget lb)))
	      nil
	      )
	)
  (command ".change" la "" pt3 ".change" lb "" pt3)
  (princ)
  )

(PROMPT "\nDigite  PAREDE")
(PRINC)